Bug Hunting Session
Bug 80161 - No 'Export As PDF' Icon in File Menu
Summary: No 'Export As PDF' Icon in File Menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0
Keywords: needsDevEval
Depends on:
Blocks: Main-Menu PDF-Export Icon-Themes
  Show dependency treegraph
 
Reported: 2014-06-17 19:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 01:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File Menu Opened and No Icon for Export to PDF (142.47 KB, image/png)
2014-06-17 19:33 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-17 19:33:30 UTC
Created attachment 101266 [details]
File Menu Opened and No Icon for Export to PDF

We have an icon in the standard toolbar to export to pdf, but no icon in the File Menu for it. I think the same icon should appear in the File Menu.
Comment 1 tommy27 2014-06-18 02:04:16 UTC
it's always been like that from OOo era

anyway the toolbar button and the menu item are not exactly the same

the toolbar button is "directly export to PDF" and once you click it it automatically converts the current document to pdf

the menu item is "export to PDF" and opens a menu with options and export settings to be selected before saving as pdf.

anyway I agree that the same icon could be used in the menu item as well.

set status NEW and version "inherited from OOo"
Comment 2 Joel Madero 2014-06-18 02:32:19 UTC
Just a heads up - no reason to update version with enhancement requests :) Also - probably easy to add so adding appropriate whiteboard status
Comment 3 Yousuf Philips (jay) (retired) 2014-06-19 13:03:43 UTC
(In reply to comment #1)
> anyway the toolbar button and the menu item are not exactly the same
> 
> the toolbar button is "directly export to PDF" and once you click it it
> automatically converts the current document to pdf
> 
> the menu item is "export to PDF" and opens a menu with options and export
> settings to be selected before saving as pdf.
> 

the same thing goes for the print toolbar button and print file menu item, one is direct and one is indirect with a dialog, but they both have the same icon. :)
Comment 4 tommy27 2014-06-19 17:11:57 UTC
you are right. I agree the same PDF icon could be used for both items.
Comment 5 Yousuf Philips (jay) (retired) 2014-11-03 19:31:31 UTC
Patch put in - https://gerrit.libreoffice.org/12228
Comment 6 Commit Notification 2014-11-04 13:53:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2199c1eb2d835a9109b8ea26ae363fbeb9bdf5a3

fdo#80161 Add an icon to the 'Export as PDF' command

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-18 10:50:34 UTC Comment hidden (obsolete)